Package net.shibboleth.shared.security

# Record Class RandomIdentifierParameterSpec

java.lang.Object
java.lang.Record
net.shibboleth.shared.security.RandomIdentifierParameterSpec

Record Components:
  `source` - random generator (this MUST be thread-safe), defaults to standard Java `SecureRandom`
  `identifierSize` - size of identifiers to generate, defaults to 16
  `identifierEncoder` - an encoder to apply to the random data, defaults to `Hex`

All Implemented Interfaces:
  `IdentifierGenerationStrategy.ParameterSpec`

public record RandomIdentifierParameterSpec(@Nullable RandomGenerator source, @Nullable Integer identifierSize, @Nullable org.apache.commons.codec.BinaryEncoder identifierEncoder) extends Record implements IdentifierGenerationStrategy.ParameterSpec
Captures the supported parameters for the `IdentifierGenerationStrategy.ProviderType.RANDOM` and `IdentifierGenerationStrategy.ProviderType.SECURE` strategy types.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.apache.commons.codec.BinaryEncoder`
`identifierEncoder`
The field for the `identifierEncoder` record component.
`private final Integer`
`identifierSize`
The field for the `identifierSize` record component.
`private final RandomGenerator`
`source`
The field for the `source` record component.

## Constructor Summary

Constructors
Constructor
Description
`RandomIdentifierParameterSpec(RandomGenerator source, Integer identifierSize, org.apache.commons.codec.BinaryEncoder identifierEncoder)`
Creates an instance of a `RandomIdentifierParameterSpec` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`org.apache.commons.codec.BinaryEncoder`
`identifierEncoder()`
Returns the value of the `identifierEncoder` record component.
`Integer`
`identifierSize()`
Returns the value of the `identifierSize` record component.
`RandomGenerator`
`source()`
Returns the value of the `source` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### source

@Nullable private final RandomGenerator source
The field for the `source` record component.

### identifierSize

@Nullable @NonNegative private final Integer identifierSize
The field for the `identifierSize` record component.

### identifierEncoder

@Nullable private final org.apache.commons.codec.BinaryEncoder identifierEncoder
The field for the `identifierEncoder` record component.

## Constructor Details

### RandomIdentifierParameterSpec

public RandomIdentifierParameterSpec(@Nullable @ParameterName(name="source") RandomGenerator source, @Nullable @NonNegative @ParameterName(name="identifierSize") Integer identifierSize, @Nullable @ParameterName(name="identifierEncoder") org.apache.commons.codec.BinaryEncoder identifierEncoder)
Creates an instance of a `RandomIdentifierParameterSpec` record class.

Parameters:
  `source` - the value for the `source` record component
  `identifierSize` - the value for the `identifierSize` record component
  `identifierEncoder` - the value for the `identifierEncoder` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### source

@Nullable public RandomGenerator source()
Returns the value of the `source` record component.

Returns:
  the value of the `source` record component

### identifierSize

@Nullable @NonNegative public Integer identifierSize()
Returns the value of the `identifierSize` record component.

Returns:
  the value of the `identifierSize` record component

### identifierEncoder

@Nullable public org.apache.commons.codec.BinaryEncoder identifierEncoder()
Returns the value of the `identifierEncoder` record component.

Returns:
  the value of the `identifierEncoder` record component